#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#define SCREEN_WIDTH 128 // szerokość w pikselach
#define SCREEN_HEIGHT 64 // wysokość w pikselach
// tworzymy  obiekt wyświetlacza o nazwie: wysw
Adafruit_SSD1306 wysw(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void setup() { // jednorazowo:
  wysw.begin(SSD1306_SWITCHCAPVCC, 0x3C);//inicjalizacja obiektu wysw
  // pokaż ekran powitalny - logo Adafruit przez 1 sekundę:
  wysw.display();   delay(1000);
  wysw.clearDisplay();  // wyczyść ekran
  wysw.setCursor(0, 0); //kursor w punkcie "zerowym"
  wysw.setTextColor(1, 0);
  wysw.setTextSize(1);
  for (int i = 128, j = 0; i < 256; i++, j++) {
    if (j == 16) {
      wysw.print("\n");
      j = 0;
    }
    wysw.write(i);
  }
  wysw.display(); //teraz wyświetl na ekranie
}

void loop() { } //pusta pętla - kręć się w kółko...
